aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2017-08-01 09:56:13 +0200
committerTibor Frank <tifrank@cisco.com>2017-08-02 06:55:50 +0000
commit1a65bb060fb464ea0113ec082af66fce481c7773 (patch)
tree304497995eb36bfc1e8e690ed626b87704f9c9a5 /bootstrap-verify-perf.sh
parent0cd7a2d0d4e701ca61421c5de9b4b0460fdfa28a (diff)
CSIT-742: Add manual trigger for ACL perf tests
Impelmenting needed change in bootstrap-verify-perf.sh file to provide manual trigger that will allow to run 1T1C (1 core, 1 thread) and 2T2C (2 core, 2 threads) ACL tests per VPP patch when required. Change-Id: I3d9cc403ca8ea90da23aca524c4b4ddbf26eb217 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index b71ea76d36..e12c1951e3 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -276,6 +276,15 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VPP-VERIFY-PERF-ACL )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.vpp.perf" \
+ --include pdrdiscANDnic_intel-x520-da2AND1t1cANDacl \
+ --include pdrdiscANDnic_intel-x520-da2AND2t2cANDacl \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
PERFTEST_LONG )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \